<div class="tab-pane active" id="tab1">
    <div class="row">
        <div class="col-sm-2">
            <select class="form-control input-sm" id="combocari" onchange="calldatagrid()">
                <option value="t_kodebayar">KODE BAYAR</option>
                <option value="t_namaobjek">Nama OP</option>
                <option value="t_nop">ID OP</option>
                <option value="t_nopembatalan">No. Pembatalan</option>
                <option value="t_nama">Nama WP</option>
                <option value="t_npwpd">NPWPD</option>
            </select>
        </div>
        <div class="col-sm-3">
            <div class="input-group input-group-sm">
                <input type="text" placeholder="Cari" class="form-control pull-right" name="kolomcari" id="kolomcari" onkeyup="calldatagrid()">
                <div class="input-group-btn combooperatorbelumc">
                    <select data-toggle="dropdown" class="btn btn-default dropdown-toggle" id="combooperator" onchange="calldatagrid()" style="text-align: left;">
                        <option value="">Pilih</option>
                        <option value="carisama">=</option>
                        <option value="carilike">%</option>
                    </select>
                </div>
            </div>
        </div>
        <div class="col-sm-3"></div>
        <div class="col-sm-2">
            <span class="hiddene">
                <select class="form-control input-sm" id="combosorting" onchange="calldatagrid()">
                    <option value="">Pilih Urutan</option>
                    <option value="t_kodebayar">KODE BAYAR</option>
                    <option value="t_namaobjek">Nama OP</option>
                    <option value="t_nop">ID OP</option>
                    <option value="t_nopembatalan">No. Pembatalan</option>
                    <option value="t_nama">Nama WP</option>
                    <option value="t_npwpd">NPWPD</option>
                </select>
            </span>
        </div>
        <div class="col-sm-2">
            <span class="hiddene">
                <div class="form-inline">
                    <div class="radio">
                        <label>
                            <input type="radio" value="ASC" id="sortasc" name="sortere" onclick="calldatagrid()">
                            Terkecil
                        </label>
                    </div>
                    <div class="radio">
                        <label>
                            <input type="radio" checked="" value="DESC" id="sortdesc" name="sortere" onclick="calldatagrid()">
                            Terbesar
                        </label>
                    </div>
                </div>
            </span>
        </div>
    </div>
    <div class="example-box-wrapper">
        <div class="scroll-columns">
            <table class="table table-condensed table-bordered cf" style="font-size: 11px; color:black">
                <thead class="cf" style="background-color: blue">
                    <tr class="bg-blue">
                        <th style="background-color: #00BCA4; color: white; text-align: center">
                            No.
                        </th>         
                        <th style="background-color: #00BCA4; color: white; text-align: center">
                            No. Pembatalan
                        </th>         
                        <th style="background-color: #00BCA4; color: white; text-align: center">
                            ID OP
                        </th>       
                        <th style="background-color: #00BCA4; color: white; text-align: center">
                            Nama OP
                        </th>            
                        <th style="background-color: #00BCA4; color: white; text-align: center">
                            NPWPD
                        </th> 
                        <th style="background-color: #00BCA4; color: white; text-align: center">
                            Nama
                        </th>         
                        <th style="background-color: #00BCA4; color: white; text-align: center">
                            Jenis Pajak
                        </th>         
                        <th style="background-color: #00BCA4; color: white; text-align: center">
                            Disposisi
                        </th>         
                        <th style="background-color: #00BCA4; color: white; text-align: center">
                            Petugas Lapangan
                        </th>       
                        <th style="background-color: #00BCA4; color: white; text-align: center">
                            Tgl. Pembatalan
                        </th>       
                        <th style="background-color: #00BCA4; color: white; text-align: center">
                            Kode Bayar
                        </th>       
                        <th style="background-color: #00BCA4; color: white; text-align: center">
                            #
                        </th>  
                    </tr>
                </thead>
                <tbody id="body_grid">
                </tbody>
            </table>
            <div class="row">
                <div class="col-sm-3 text-left">
                    <span>
                        <select id="rows" class="form-control" style="width: 30%" onchange="calldatagrid(1)">
                            <option value="10">10</option>
                            <option value="20">20</option>
                            <option value="30">30</option>
                            <option value="40">40</option>
                            <option value="50">50</option>
                        </select>
                    </span>
                </div>
                <div class="col-sm-6" style="text-align: center">
                    <center>
                        <div id="paginatore"></div>
                        <input type="hidden" id="page" value="1">
                    </center>
                </div>
                <div class="col-sm-3 text-right">
                    <span>
                        <p>
                            <b style="font-size: 13px; color: orangered"><span id="awaldata"></span> s/d <span id="akhirdata"></span> Dari <span id="total_data"></span> Data</b>
                        </p>  
                    </span>
                </div>
            </div>
        </div>
    </div>
</div>
<script type="text/javascript">
    $(function () {
        calldatagrid();
    });

    function calldatagrid(direction) {
        if ($("#combocari").val().length == 0)
            par1 = undefined;
        else
            par1 = $("#combocari").val()
        if ($("#kolomcari").val().length == 0)
            par2 = undefined;
        else
            par2 = $("#kolomcari").val()
        if ($("#combosorting").val().length == 0)
            par3 = undefined;
        else
            par3 = $("#combosorting").val()
        if (document.getElementById("sortasc").checked)
            par4 = $("#sortasc").val()
        else
            par4 = undefined;
        if (document.getElementById("sortdesc").checked)
            par5 = $("#sortdesc").val()
        else
            par5 = undefined;
        if ($("#combooperator").val().length == 0)
            par6 = undefined;
        else
            par6 = $("#combooperator").val()
        datagridketetapanpembatalanskpd($("#page").val(), $("#rows").val(), direction, par1, par2, par3, par4, par5, par6);
    }

    function datagridketetapanpembatalanskpd(page, row, direction, par1, par2, par3, par4, par5, par6) {
        $.get('<?= $this->url() ?>/dataGridKetetapanPembatalanSkpd/' + page + '/' + row + '/' + direction + '/' + par1 + '/' + par2 + '/' + par3 + '/' + par4 + '/' + par5 + '/' + par6, function (data) {
            var aa = JSON.parse(data)
            $("#body_grid").html(aa.gridbelum);
            $("#rows").val(aa.rowsbelum);
            $("#page").val(aa.pagebelum);
            $("#total_data").html(": " + aa.countbelum);
            $("#total_halaman").html(": " + aa.total_halamanbelum);
            $("#paginatore").html(aa.paginatorebelum);
            $("#awaldata").html(aa.awaldatabelum);
            $("#akhirdata").html(aa.akhirdatabelum);
        });
    }
</script>
<style type="text/css">
    .combooperatorbelumc select {
        border: 0 !important;  /*Removes border*/
        -webkit-appearance: none;  /*Removes default chrome and safari style*/
        -moz-appearance: none; /* Removes Default Firefox style*/
        appearance:none;
        /*background: #E08E0B url(img/select-arrow.png) no-repeat 90% center;*/
        background: #E08E0B no-repeat 90% center;
        text-indent: 0.01px; /* Removes default arrow from firefox*/
        color: #FFF;
    }	
</style>